summaryrefslogtreecommitdiffstats
path: root/games/tyrquake-libretro
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:09 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commit27c118f8070db23422085ce5d36bc01f4ac69c96 (patch)
tree0e36360fd857f01cb7dbc3bc1da97a36c1581fb5 /games/tyrquake-libretro
parent7a200d7f4d5b0087b486a20c92272294728973ed (diff)
downloadslackbuilds-27c118f8070db23422085ce5d36bc01f4ac69c96.tar.gz
slackbuilds-27c118f8070db23422085ce5d36bc01f4ac69c96.tar.xz
games/tyrquake-libretro: Added (libretro port of Tyrquake).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/tyrquake-libretro')
-rw-r--r--games/tyrquake-libretro/README31
-rw-r--r--games/tyrquake-libretro/slack-desc19
-rw-r--r--games/tyrquake-libretro/tyrquake-libretro.SlackBuild95
-rw-r--r--games/tyrquake-libretro/tyrquake-libretro.info10
4 files changed, 155 insertions, 0 deletions
diff --git a/games/tyrquake-libretro/README b/games/tyrquake-libretro/README
new file mode 100644
index 0000000000..764133902a
--- /dev/null
+++ b/games/tyrquake-libretro/README
@@ -0,0 +1,31 @@
+This is meant to be a fairly conservative branch of the Quake source code. It's
+intended to support Quake and Quakeworld in both software and GL versions, as
+well as the Quakeworld Server; all on both MS Windows and Linux (BSD supported
+as best I can manage with some help from some other users). I don't intend on
+changing the look or feel of the game by adding lots of rendering enhancements,
+etc, but rather just fixing little bugs that I've come across over the years.
+I'll be adding small enhancements and may even rewrite substantial portions of
+the code, but I don't want to change the fundamental feel of the game.
+
+The Quake game data is needed to play and must be acquired separately.
+
+Alternatively the shareware version of Quake can be acquired through RetroArch.
+To download it go to 'Add Content' -> 'Download Content' -> 'Tyrquake'.
+
+To play Quake place the PAK0.PAK and PAK1.PAK into your Quake data directory.
+The PAK2.PAK file that was not originally included with Quake is known to crash
+Tyrquake and should not be used.
+
+The Quake Mission Packs No. 1: Scourge of Armagon and No. 2: Dissolution of
+Eternity can also be played. Place pak0.pak and pak1.pk3 files for each in the
+Quake game data directory, under the names hipnotic and rogue respectively.
+
+To use the colored lighting with Tyrquake, make a subdir in your Quake data
+directory called 'maps' which contains the required .lit files. They can be
+downloaded with RetroArch. To do this go to 'Add Content' -> 'Download Content'
+and download 'quake-colored-lighting-pack.zip' found under Tyrquake.
+
+Controls should be set in both RetroArch and the in game configuration menu.
+
+To build the debugging symbols use:
+ DEBUG=1 ./tyrquake-libretro.SlackBuild
diff --git a/games/tyrquake-libretro/slack-desc b/games/tyrquake-libretro/slack-desc
new file mode 100644
index 0000000000..d002692224
--- /dev/null
+++ b/games/tyrquake-libretro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tyrquake-libretro: tyrquake-libretro (libretro port of Tyrquake)
+tyrquake-libretro:
+tyrquake-libretro: This is meant to be a fairly conservative branch of the Quake source
+tyrquake-libretro: code. It's intended to support Quake and Quakeworld in both software
+tyrquake-libretro: and GL versions, as well as the Quakeworld Server.
+tyrquake-libretro:
+tyrquake-libretro: Homepage: http://www.libretro.com/
+tyrquake-libretro:
+tyrquake-libretro:
+tyrquake-libretro:
+tyrquake-libretro:
diff --git a/games/tyrquake-libretro/tyrquake-libretro.SlackBuild b/games/tyrquake-libretro/tyrquake-libretro.SlackBuild
new file mode 100644
index 0000000000..6bc8cee973
--- /dev/null
+++ b/games/tyrquake-libretro/tyrquake-libretro.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for tyrquake-libretro
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tyrquake-libretro
+LIBNAM=$(echo $PRGNAM | tr - _)
+VERSION=${VERSION:-2016.07.23_3e452d0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make DEBUG=$DEBUG
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/tyrquake-libretro/tyrquake-libretro.info b/games/tyrquake-libretro/tyrquake-libretro.info
new file mode 100644
index 0000000000..b499d0634a
--- /dev/null
+++ b/games/tyrquake-libretro/tyrquake-libretro.info
@@ -0,0 +1,10 @@
+PRGNAM="tyrquake-libretro"
+VERSION="2016.07.23_3e452d0"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/tyrquake-libretro-2016.07.23_3e452d0.tar.xz"
+MD5SUM="405d1d2189ec90043b661f939533143c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"